Doomsday Engine - Feature #1336

Random textured particle direction
2004-03-24 11:52 - jimigrey

Status: New Start date: 2004-03-24
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: Rendering

Description

Now every textured particle faces the same direction

when it hits the wall or ground. I think it would look

better if it was possible to get random directions for the

particles.

Just like 3d model particles can be in random directions.

Labels: Graphics

Related issues:

Related to Feature #1699: Particle renderer 2.0 New 2014-01-03

History

#1 - 2009-10-04 22:26 - danij

Logged In: YES
user_id=849456

Also it would be very nice if particle model rotation could be
bound to the movement vector of the particle.

Another good feature would be to randomise the linear stage
movement vector and provide a flag that executes it only
when a "bounce" occurs.

#2 - 2013-10-21 16:59 - skyjake

- Tags set to Particles

#3 - 2019-11-29 16:42 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added

#4 - 2019-11-29 16:43 - skyjake
- Category set to Enhancement

- Target version set to Rendering
